@media (max-width:999px) {

/* ----- Header ---------------------- */

  header.site-header.active .header-container {
    align-content:flex-start;
    height:100vh;
    overflow-y:auto;
    padding-bottom:60px;
    position:fixed;
    width:100%;
    -webkit-overflow-scrolling:touch;
    z-index:10;
  }  

/* ----- Menu Stuff ------------------ */
  
  header .menu-controls {
    align-items:center;
    background:unset;
    border:0;
    cursor:pointer;
    display:flex;
    grid-column:3 / 4;
    grid-row:1 / 2;
    height:100%;
    justify-content:center;
    padding:0;
    width:100%;
  }
  
  .menu-controls-icon,
  .menu-controls-icon::before,
  .menu-controls-icon::after {
    background-color:var(--main-blue);
    border-radius:2px;
    height:4px;
    transition:250ms ease-in-out;
    width:30px;
  }

  .menu-controls-icon::before,
  .menu-controls-icon::after {
    content:'';
    display:block;
  }
    
  .menu-controls-icon::before {transform:translateY(-10px);}
  .menu-controls-icon::after {transform:translateY(6px);}
  .menu-controls-icon.active {background:transparent;}

  .menu-controls-icon.active::before {transform:translateY(0) translateX(0px) rotate(-45deg);}
  .menu-controls-icon.active::after {transform:translateY(-4px) translateX(0px) rotate(45deg);}
  
  header .header-search,
  header nav.main-menu {
    grid-column:1 / 4;
    visibility:hidden;
  }
  
  header .header-search {
    background:var(--main-lightest-blue);
    grid-column:1 / 4;
    grid-row:2 / 3;
    margin:0 0 2px;
    padding:20px;
    visibility:hidden;
  }
  
  header.active .header-search,
  header.active nav.main-menu {visibility:visible;}
  
  nav#block-action-header {
    display:none;
    grid-column:2 / 3;
    grid-row:1 / 2;
  }  
  
  header nav.main-menu {grid-row:3 / 4;}
  header nav.menu--main ul.menu {display:none;}
  
  header.active nav.menu--main ul.menu {
    background:#fff;
    display:grid;
    gap:1px;
    margin:0 auto;
    width:100%;
  }
  
  nav.main-menu li.menu-item {
    background:var(--main-lightest-blue);
    row-gap:1px;
  }
  
  nav.main-menu li.menu-item.menu-item--expanded {grid-template-columns:1fr 84px;}
  nav.main-menu li.menu-item.open > .no-link,
  nav.main-menu li.menu-item.open > a.menu-item {
    background:var(--main-blue);
    color:#fff;
  }

  nav.main-menu li.menu-item.open > button.dropdown-control {
    background-color:var(--main-blue);
    background-image:url(/themes/custom/jcrc/images/icons/icon-minus-white.svg);
  }
  
  nav.main-menu li.menu-item:not(.open):hover {background:var(--main-light-blue);}
  nav.main-menu ul.menu-level-2 > li.menu-item > .no-link,
  nav.main-menu ul.menu-level-2 > li.menu-item > a.menu-item {padding-left:40px;}
  nav.main-menu ul.menu-level-3 > li.menu-item > .no-link,
  nav.main-menu ul.menu-level-3 > li.menu-item > a.menu-item {padding-left:60px;}

}

@media (min-width:600px) and (max-width:999px) {
  
  header.site-header.active .header-container {padding-bottom:0;}
  
  nav#block-action-header {
    align-items:center;
    display:flex;
    justify-content:flex-end;
    width:100%;
  }
  
  ul.menu.action-links {
    height:48px;
    max-width:400px;
  }
  
  ul.menu.action-links li.action-link a.donate-link {padding:12px 10px;}
  ul.menu.action-links li:first-child a {border-radius:24px 0 0 24px;}
  ul.menu.action-links li:last-child a {border-radius:0 24px 24px 0;}
  
}